org.richfaces.push

## Class JMSTopicsContextImpl

- java.lang.Object
- - org.richfaces.push.TopicsContext
  - - org.richfaces.push.TopicsContextImpl
    - - org.richfaces.push.JMSTopicsContextImpl

-     public class JMSTopicsContextImpl
      extends TopicsContextImpl

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSTopicsContextImpl(ThreadFactory threadFactory, InitialContext initialContext, Name connectionFactoryName, Name topicsNamespace, String username, String password)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Topic` | `createTopic(TopicKey key)`
    `void` | `destroy()`
    `static JMSTopicsContextImpl` | `getInstanceInitializedFromContext(ThreadFactory threadFactory, javax.faces.context.FacesContext facesContext)`

    - ### Methods inherited from class org.richfaces.push.TopicsContextImpl

      `getPublisherService, getThreadFactory`

    - ### Methods inherited from class org.richfaces.push.TopicsContext

      `getOrCreateTopic, getTopic, getTopicKeyWithResolvedExpressions, lookup, publish, removeTopic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSTopicsContextImpl

          public JMSTopicsContextImpl(ThreadFactory threadFactory,
                              InitialContext initialContext,
                              Name connectionFactoryName,
                              Name topicsNamespace,
                              String username,
                              String password)

  - ### Method Detail

    - #### getInstanceInitializedFromContext

          public static JMSTopicsContextImpl getInstanceInitializedFromContext(ThreadFactory threadFactory,
                                                               javax.faces.context.FacesContext facesContext)
                                                                        throws NamingException

      Throws:
        `NamingException`

    - #### createTopic

          protected Topic createTopic(TopicKey key)

      Overrides:
        `createTopic` in class `TopicsContextImpl`

    - #### destroy

          public void destroy()

      Overrides:
        `destroy` in class `TopicsContextImpl`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.